Subject: Re: bug#31193: 26.1; error in `term-down' after window configuration change

From: Noam Postavsky <[email-masked]>
Date: Tue, 17 Apr 2018 22:04:30 -0400

Phil Sainty <[email-masked]> writes:

> On 2018-04-18 12:07, Noam Postavsky wrote:
>> Hmm, maybe it's a difference in bash versions?  I tried adding a
>> newline to my prompt with PS1=$'one\ntwo$ ', but bash doesn't send
>> the newline after the terminal resizes.  Seems it's clever enough
>> just to redraw the last line.
>>
>> GNU bash, version 4.4.12(1)-release (x86_64-pc-linux-gnu)
>
> Mine is:
> GNU bash, version 4.3.11(1)-release (x86_64-pc-linux-gnu)
>
>
>> Can you show the backtrace with PS1="$ "?
>
> Sure.  This is with a .bashrc containing only that setting, and an
> otherwise blank-slate $HOME directory, in case anything else I was
> doing had an effect.  It might still be due to system-wide config,
> but the bash version difference seems as likely as anything else?

>   term-emulate-terminal(#<process terminal> "\015\033[K$
> \015\n\032//home/phil/emacs/26/26.1rc1/usr/local/share/emacs/26.1/lisp\015\n")

Hmm, yeah, it looks like your bash adds a "\r\n" (\015 is \r) after the
prompt, while mine doesn't.  Although, wouldn't that extra \n leave your
cursor one row below the prompt?

I also don't get the \032/<path>\r\n unless I do a 'cd'.